%define upstream_name numba

Name:           python-%{upstream_name}
Version:        0.52.0
Release:        %mkrel 1
Summary:        Compiling Python code using LLVM
License:        BSD
Group:          Development/Python
Url:            https://numba.pydata.org/
Source:         https://pypi.io/packages/source/n/numba/numba-%{version}.tar.gz
BuildRequires:  libgomp-devel

%description
Numba is a NumPy-aware optimizing compiler for Python. It uses the LLVM
compiler infrastructure to compile Python syntax to machine code.

%package -n python3-%{upstream_name}
Summary:	Compiling Python code using LLVM
Group:		Development/Python
License:	BSD
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-numpy-devel
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
Numba is a NumPy-aware optimizing compiler for Python. It uses the LLVM
compiler infrastructure to compile Python syntax to machine code.

%package -n python3-%{upstream_name}-devel
Summary:	Numba headers for Python3
Group:		Development/Python
Requires:	python3-%{upstream_name} = %{version}-%{release}

%description -n python3-%{upstream_name}-devel
This package contains header files need to develop modules
in C and Fortran that can interact with Numba.

%prep
%setup -q -n numba-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{_bindir}/numba
%{_bindir}/pycc
%{python3_sitearch}/numba
%{python3_sitearch}/numba-%{version}-*.egg-info
%exclude %{python3_sitearch}/numba/*.c
%exclude %{python3_sitearch}/numba/*.h
%exclude %{python3_sitearch}/numba/*/*.c
%exclude %{python3_sitearch}/numba/*/*.h

%files -n python3-%{upstream_name}-devel
%{python3_sitearch}/numba/*.c
%{python3_sitearch}/numba/*.h
%{python3_sitearch}/numba/*/*.c
%{python3_sitearch}/numba/*/*.h


%changelog
* Thu Jan 28 2021 daviddavid <daviddavid> 0.52.0-1.mga8
+ Revision: 1673787
- new version: 0.52.0 (fixes python-llvmlite dependency)

* Sat Apr 18 2020 guillomovitch <guillomovitch> 0.49.0-1.mga8
+ Revision: 1569457
- new version 0.49.0

* Sun Feb 16 2020 umeabot <umeabot> 0.45.1-2.mga8
+ Revision: 1534634
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 guillomovitch <guillomovitch> 0.45.1-1.mga8
+ Revision: 1449753
- new version 0.45.1

* Mon Apr 15 2019 daviddavid <daviddavid> 0.43.0-3.mga7
+ Revision: 1390662
- try to build on aarch64

* Sun Mar 24 2019 guillomovitch <guillomovitch> 0.43.0-2.mga7
+ Revision: 1379954
- imported package python-numba

